<div id="top_of_dialog">
    <strong>Configurazione caratteri CCID</strong>
</div>

<md-content layout-padding>
    <form name="dialogForm" ng-class="flexColumnCenterStart" style="padding: 32px 8px;">
        <md-input-container ng-show="!editMode" class="md-block" style="margin-bottom: 42px;">
            <label>Dsp</label>
            <md-select name="dsp" ng-model-options="{ trackBy: '$value.idDsp' }" ng-model="dspSelected"
                aria-label="label" ng-disabled="disableHeaderForm" ng-required="!editMode">
                <md-option ng-repeat="dsp in ngDialogData.dspList" ng-value="{{dsp}}">
                    {{ dsp.name }}
                </md-option>
            </md-select>
            <div ng-messages="dialogForm.dsp.$error">
                <div ng-message="required">Campo obbligatorio!</div>
            </div>
        </md-input-container>

        <md-input-container class="md-block reduceMargin">
            <label>Caratteri Speciali</label>
            <input name="caratteriSpeciali" ng-model="caratteriSpeciali" ng-keydown="onKeyDown($event)"
               required>
            <div ng-messages="dialogForm.caratteriSpeciali.$error">
                <div ng-message="required">Campo obbligatorio!</div>
            </div>
        </md-input-container>

        <md-input-container class="md-block reduceMargin">
            <label>Lunghezza titolo</label>
            <input name="lunghezzaTitolo" ng-model="lunghezzaTitolo" required>
            <div ng-messages="dialogForm.lunghezzaTitolo.$error">
                <div ng-message="required">Campo obbligatorio!</div>
            </div>
        </md-input-container>

        <md-input-container class="md-block reduceMargin">
            <input aria-label="label-checkbox" type="checkbox" ng-model="enabled" style="max-width: 15%;" />
            <span class="margin-left">Abilitato</span>
        </md-input-container>
    </form>
</md-content>

<div class="flexRowEnd" style="margin-top: 15px">
    <button type="button" class="btn addButton" ng-click="cancel()">
        <span class="glyphicon glyphicon-remove"></span><strong>Annulla</strong>
    </button>
    <button type="button" class="btn addButton margin-left" ng-click="confirm()">
        <span class="glyphicon glyphicon-ok"></span><strong>Conferma</strong>
    </button>
</div>